| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Attributes | List of all members
Ogre::SimplePageContentCollectionFactory Class Reference
Optional Components » Paging

Factory class for SimplePageContentCollection. More...

`#include <OgreSimplePageContentCollection.h>`

Inheritance diagram for Ogre::SimplePageContentCollectionFactory:
[legend]

## Public Member Functions
| SimplePageContentCollectionFactory ()
| ~SimplePageContentCollectionFactory ()
PageContentCollection * | createInstance ()
void | destroyInstance (PageContentCollection *c)
const String & | getName () const

## Static Public Attributes
static String | FACTORY_NAME

## Detailed Description

Factory class for SimplePageContentCollection.

## Constructor & Destructor Documentation

## ◆ SimplePageContentCollectionFactory()

Ogre::SimplePageContentCollectionFactory::SimplePageContentCollectionFactory | ( |  | ) |
| inline

## ◆ ~SimplePageContentCollectionFactory()

Ogre::SimplePageContentCollectionFactory::~SimplePageContentCollectionFactory | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getName()

const String& Ogre::SimplePageContentCollectionFactory::getName | ( | void |  | ) | const
| inline virtual

Implements Ogre::PageContentCollectionFactory.

## ◆ createInstance()

PageContentCollection* Ogre::SimplePageContentCollectionFactory::createInstance | ( |  | ) |
| inline virtual

Implements Ogre::PageContentCollectionFactory.

References OGRE_NEW.

## ◆ destroyInstance()

void Ogre::SimplePageContentCollectionFactory::destroyInstance | ( | PageContentCollection * | c | ) |
| inline virtual

Implements Ogre::PageContentCollectionFactory.

References OGRE_DELETE.

## Member Data Documentation

## ◆ FACTORY_NAME

String Ogre::SimplePageContentCollectionFactory::FACTORY_NAME
| static

The documentation for this class was generated from the following file:

- OgreSimplePageContentCollection.h